Unable to install the NTP 4.2.8 Package

Installing, Configuring, Troubleshooting server daemons such as Web and Mail
Post Reply
Satish
Posts: 2
Joined: 2014/12/31 13:34:56

Unable to install the NTP 4.2.8 Package

Post by Satish » 2014/12/31 13:47:11

Hi,

To Fix the NTP vulnerabilities, trying to install the ntp-4.2.8 Package in CentOS 5 ( ntp-4.2.2p1 versions currently running)

Following error msg getting while 'make'

make[2]: Entering directory `/var/tmp/ntp-4.2.8/util'

make install-am

make[3]: Entering directory `/var/tmp/ntp-4.2.8/util'

CCLD ntp-keygen

../libntp/libntp.a(ntp_crypto_rnd.o): In function `ntp_crypto_random_buf':

/var/tmp/ntp-4.2.8/libntp/ntp_crypto_rnd.c:93: undefined reference to `arc4rando

collect2: ld returned 1 exit status

make[3]: *** [ntp-keygen] Error 1

make[3]: Leaving directory `/var/tmp/ntp-4.2.8/util'

make[2]: *** [install] Error 2

make[2]: Leaving directory `/var/tmp/ntp-4.2.8/util'

make[1]: *** [install-recursive] Error 1

make[1]: Leaving directory `/var/tmp/ntp-4.2.8'

make: *** [install] Error 2


Please help me to fix the ntp issue

User avatar
avij
Retired Moderator
Posts: 3039
Joined: 2010/12/01 19:25:52
Location: Helsinki, Finland
Contact:

Re: Unable to install the NTP 4.2.8 Package

Post by avij » 2014/12/31 13:52:37

Try running yum update to get https://rhn.redhat.com/errata/RHSA-2014-2025.html , which probably fixes the NTP vulnerabilities you are worried about.

Satish
Posts: 2
Joined: 2014/12/31 13:34:56

Re: Unable to install the NTP 4.2.8 Package

Post by Satish » 2014/12/31 15:20:45

Thank you very much for quick response.

I will install the ntp-4.2.2p1-18.el5_11 Package.

I am good now :)

Post Reply

Return to “CentOS 5 - Server Support”